Get unlisted link
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/unlisted_link \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/unlisted_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/unlisted_link"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"unlisted_link": {
"url": "https://example.neetokb.com/public/p-1a2b3c4d5e",
"enabled": true,
"expiration_type": "never",
"expiration_date": "2026-08-21T10:00:00.000Z"
}
}{
"error": "Article must be published before an unlisted link can be generated."
}Articles
Get unlisted link
Returns the link the article already has. Never creates or replaces a link. Use the regenerate endpoint to create the first link or to replace an expired one.
GET
/
articles
/
{article_id}
/
unlisted_link
Get unlisted link
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/unlisted_link \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/unlisted_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/unlisted_link"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"unlisted_link": {
"url": "https://example.neetokb.com/public/p-1a2b3c4d5e",
"enabled": true,
"expiration_type": "never",
"expiration_date": "2026-08-21T10:00:00.000Z"
}
}{
"error": "Article must be published before an unlisted link can be generated."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.
Response
OK - Request succeeded
Hide child attributes
Hide child attributes
Example:
"https://example.neetokb.com/public/p-1a2b3c4d5e"
Example:
true
Available options:
never, one_day, seven_days, thirty_days, custom Example:
"never"
Example:
"2026-08-21T10:00:00.000Z"